Asset (Beta)

Get the active asset version thumbnails

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieve the thumbnails of the active version of an asset. The response includes the signed url for directly using the thumbnails.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/thumbnails

Path Parameters

assetIdstringrequired

Response

application/json

GetVersionThumbnailsReply

assetIdstring
thumbnailsarray[object]
Show Child Parameters
versionIdstring
get/api/1/asset/assets/{assetId}/thumbnails
 
application/json

Validate asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Validate if the asset in its current state is good to be published.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/validate

Path Parameters

assetIdstringrequired

Response

application/json

ValidateAssetReply

assetIdstring
validationErrorsarray[object]
Show Child Parameters
versionIdstring
get/api/1/asset/assets/{assetId}/validate
 
application/json

Get version

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Get all details about a given asset version. This does not have to be the active version of the asset. This endpoint is currently only available for the creator of the asset to view the asset.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/versions/{versionId}

Path Parameters

assetIdstringrequired
versionIdstringrequired

Response

application/json

AssetVersion

assetIdstring
assetVersionStatusstring
derivativesarray[object]
Show Child Parameters
fileObjectobject
Show Child Parameters
idstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
userCreatedIdstring
userModifiedIdstring
get/api/1/asset/assets/{assetId}/versions/{versionId}
 
application/json

AddAssetRelationInput

object
relatedAssetIdsarray[string]
Example

AdvanceRightsInput

object
isDownloadableboolean
isPublicboolean
Example